diff -Nurp '--exclude=.bzr*' tin-2.6.4/src/lang.c tin-2.6.5/src/lang.c
--- tin-2.6.4/src/lang.c	2024-12-21 15:19:00.000000000 +0100
+++ tin-2.6.5/src/lang.c	2025-12-16 20:13:10.743794876 +0100
@@ -1434,13 +1547,15 @@ Warning: Posting is in %s and contains c
 #ifdef HAVE_FASCIST_NEWSADMIN
 	constext txt_error_followup_to_several_groups[] = N_("\nError: Followup-To set to more than one newsgroup!\n");
 	constext txt_error_grp_renamed[] = N_("\nError: \"%s\" is renamed, use \"%s\" instead!\n");
-	constext txt_error_missing_followup_to[] = N_("\nError: cross-posting to %d newsgroups and no Followup-To line!\n");
+	/* TRANSLATORS: for nplurals>=3 */
+	constext *txt_error_missing_followup_to_sp[] = PN_("\nError: cross-posting to %d newsgroup and no Followup-To line!\n", "\nError: cross-posting to %d newsgroups and no Followup-To line!\n");
 	constext txt_error_not_valid_newsgroup[] = N_("\nError: \"%s\" is not a valid newsgroup!\n");
 #else
 	constext txt_warn_followup_to_several_groups[] = N_("\nWarning: Followup-To set to more than one newsgroup!\n");
 	constext txt_warn_grp_renamed[] = N_("\nWarning: \"%s\" is renamed, you should use \"%s\" instead!\n");
-	constext txt_warn_missing_followup_to[] = N_("\nWarning: cross-posting to %d newsgroups and no Followup-To line!\n");
-	constext txt_warn_not_in_newsrc[] = N_("\nWarning: \"%s\" is not in your newsrc, it may be invalid at this site!\n");
+	/* TRANSLATORS: for nplurals>=3 */
+	constext *txt_warn_missing_followup_to_sp[] = PN_("\nWarning: cross-posting to %d newsgroup and no Followup-To line!\n", "\nWarning: cross-posting to %d newsgroups and no Followup-To line!\n");
+	constext txt_warn_not_in_newsrc[] = N_("\nWarning: \"%s\" is not in your newsrc,\nit may be invalid at this site!\n");
 	constext txt_warn_not_valid_newsgroup[] = N_("\nWarning: \"%s\" is not a valid newsgroup at this site!\n");
 #endif /* HAVE_FASCIST_NEWSADMIN */
 
@@ -1459,7 +1574,7 @@ Warning: Posting is in %s and contains c
 
 #ifdef HAVE_PGP_GPG
 	constext txt_help_article_pgp[] = N_("perform PGP operations on article");
-	constext txt_pgp_add[] = N_("Add key(s) to public keyring?");
+	constext *txt_pgp_add_sp[] = PN_("Add key to public keyring?", "Add keys to public keyring?");
 	constext txt_pgp_mail[] = N_("%s=encrypt, %s=sign, %s=both, %s=quit: ");
 	constext txt_pgp_news[] = N_("%s=sign, %s=sign & include public key, %s=quit: ");
 	constext txt_pgp_not_avail[] = N_("PGP has not been set up (can't open %s)");
@@ -1485,6 +1600,8 @@ Warning: Posting is in %s and contains c
 #	endif /* HAVE_ISPELL */
 #endif /* HAVE_PGP_GPG */
 
+constext txt_arg_not_numeric[] = N_("%s argument is not numeric: %s");
+
 #ifdef NNTP_ABLE
 	constext txt_caching_off[] = N_("Try cache_overview_files to speed up things.\n");
 	constext txt_caching_on[] = N_("Tin will use local index files instead.\n");
@@ -1492,12 +1609,14 @@ Warning: Posting is in %s and contains c
 	constext txt_capabilities_without_reader[] = N_("CAPABILITIES did not announce READER");
 	constext txt_connecting_port[] = N_("Connecting to %s:%u...");
 	constext txt_connection_error[] = N_("NNTP connection error. Exiting...");
+	/* TODO: plural-forms */
+	constext txt_connection_error_timeout[] = N_("NNTP connection error: nntp_read_timeout_secs %d elapsed. Exiting...");
+	constext txt_disabled_cmds[] = N_("DISABLED CMDS.: %s\n");
 	constext txt_disconnecting[] = N_("Disconnecting from server...");
 	constext txt_failed_to_connect_to_server[] = N_("Failed to connect to NNTP server %s. Exiting...");
 	constext txt_nntp_ok_goodbye[] = N_("205  Closing connection");
 	constext txt_no_xover_support[] = N_("Your server does not support the NNTP XOVER or OVER command.\n");
 	constext txt_port_not_numeric[] = N_("Port isn't numeric: %s:%s\n");
-	constext txt_arg_not_numeric[] = N_("%s argument is not numeric: %s\n");
 #	ifdef DEBUG
 		constext txt_port_not_numeric_in[] = N_("Port in %s isn't numeric: %s:%s\n");
 		constext txt_reconnect_limit_reached[] = N_("reconnect (%d) limit %d reached, giving up.");
@@ -1531,12 +1650,8 @@ Warning: Posting is in %s and contains c
 			constext txt_error_unknown_service[] = N_("%s/tcp: Unknown service.\n");
 #		endif /* HAVE_GETSERVBYNAME */
 #	endif /* INET6 */
-#	ifdef XHDR_XREF
-		constext txt_warn_xref_not_supported[] = N_("Your server does not have Xref: in its XOVER information.\n\
+	constext txt_warn_xref_not_supported[] = N_("Your server does not have Xref: in its XOVER information.\n\
 Tin will try to use XHDR XREF instead (slows down things a bit).\n");
-#	else
-		constext txt_warn_xref_not_supported[] = N_("Your server does not have Xref: in its XOVER information.\n");
-#	endif /* XHDR_XREF */
 #	ifndef NNTP_ONLY
 		constext txt_cannot_open_active_file[] = N_("Can't open %s. Try %s -r to read news via NNTP.");
 #	endif /* !NNTP_ONLY */
@@ -1553,14 +1668,14 @@ Tin will try to use XHDR XREF instead (s
 #endif /* NNTP_INEWS */
 
 #ifndef DISABLE_PRINTING
-	constext txt_articles_printed[] = N_("%d %s printed");
+	constext *txt_article_printed_sp[] = PN_("%d article printed", "%d articles printed");
 	constext txt_help_global_print[] = N_("output article/thread/hot/pattern/tagged articles to printer");
 	constext txt_print[] = N_("Print");
 	constext txt_printing[] = N_("Printing...");
 #endif /* !DISABLE_PRINTING */
 
 #ifndef DONT_HAVE_PIPING
-	constext txt_articles_piped[] = N_("%d %s piped to \"%s\"");
+	constext *txt_article_piped_sp[] = PN_("%d article piped to \"%s\"", "%d articles piped to \"%s\"");
 	constext txt_help_global_pipe[] = N_("pipe article/thread/hot/pattern/tagged articles into command");
 	constext txt_no_command[] = N_("No command");
 	constext txt_pipe[] = N_("Pipe");
@@ -1677,12 +1792,25 @@ constext *txt_threading[] = {
 constext *txt_wildcard_type[] = { "WILDMAT", "REGEX", NULL };
 
 /*
- * Handling of uuencoded data in pager
+ * Handling of non text data in pager
  */
-constext *txt_hide_uue_type[] = {
-	N_("No"),
-	N_("Yes"),
+constext *txt_hide_inline_data_type[] = {
+	N_("Nothing"),
+	N_("Complete UU/YENC"),
+	N_("Any UU/YENC"),
+	"",
+	N_("Inline PGP"),
+	N_("Complete UU/YENC & Inline PGP"),
+	N_("Any UU/YENC & Inline PGP"),
+	"",
+	N_("Shar"),
+	N_("Complete UU/YENC & Shar"),
+	N_("Any UU/YENC & Shar"),
+	"",
+	N_("Inline PGP & Shar"),
+	N_("Complete UU/YENC & PGP & Shar"),
 	N_("Hide all"),
+	"",
 	NULL
 };
 
@@ -1812,6 +1940,7 @@ constext *txt_goto_next_unread_options[]
 };
 
 /* different options for quick_kill_header / quick_select_header */
+/* TRANSLATORS: do not translate header names like 'Subject:, 'From:', ... abrev. are ok. */
 constext *txt_quick_ks_header_options[] = {
 	N_("Subject: (case sensitive)"),
 	N_("Subject: (ignore case)"),
@@ -1837,6 +1966,15 @@ constext *txt_trim_article_body_options[
 	NULL
 };
 
+/* different options for verbatim_handling */
+constext *txt_verbatim_handling_options[] = {
+	N_("Don't detect verbatim blocks"),
+	N_("Detect and show verbatim blocks"),
+	N_("Detect, hide begin and end marks"),
+	N_("Don't show verbatim blocks"),
+	NULL
+};
+
 /* different options for show_help_mail_sign */
 constext *txt_show_help_mail_sign_options[] = {
 	N_("Don't show help or mail sign"),
@@ -1862,7 +2000,7 @@ constext *txt_mime_encodings[] = {
 };
 
 constext *content_encodings[] = {
-	"7bit", "quoted-printable", "base64", "8bit", "binary", "x-uuencode", "unknown",
+	"7bit", "quoted-printable", "base64", "8bit", "binary", "x-uuencode", "yenc", "unknown",
 	NULL
 };
 
@@ -1883,6 +2021,7 @@ constext *txt_post_process_types[] = {
 		NULL
 };
 
+/* TRANSLATORS: do not translate header names like 'Subject:', 'From:', ... */
 constext *txt_sort_a_type[] = {
 		N_("Nothing"),
 		N_("Subject: (descending)"),
@@ -1945,7 +2084,7 @@ constext *txt_quote_style_type[] = {
 };
 
 #ifdef CHARSET_CONVERSION
-/* supported charsets */
+/* supported outgoing charsets */
 constext *txt_mime_charsets[] = {
 	"US-ASCII",
 	"ISO-8859-1", "ISO-8859-2", "ISO-8859-3", "ISO-8859-4", "ISO-8859-5",
@@ -1961,7 +2100,7 @@ constext *txt_mime_charsets[] = {
 };
 #endif /* CHARSET_CONVERSION */
 
-/* 7bit charsets, US-ASCII must be the first entry */
+/* 7-bit charsets, US-ASCII must be the first entry */
 constext *txt_mime_7bit_charsets[] = {
 	"US-ASCII",
 	"ISO-2022-CN", "ISO-2022-CN-EXT", "ISO-2022-JP", "ISO-2022-JP-1",
@@ -2301,6 +2440,38 @@ struct opttxt txt_abbreviate_groupname =
 #   news.software.readers -> n.software.readers -> n.s.readers -> n.s.r.\n")
 };
 
+struct opttxt txt_scope_marked_global = {
+	N_("Enter character to indicate global scopes. <CR> sets, <ESC> cancels."),
+	N_("Character to show global scopes"),
+	N_("# Character used to show that a scope was read from the global\n\
+# attributes file (default '!')\n\
+# _ is turned into ' '\n")
+};
+
+struct opttxt txt_scope_marked_global_match = {
+	N_("Enter character to indicate global scopes when current group matches. <CR> sets, <ESC> cancels."),
+	N_("Char to show global scope matches"),
+	N_("# Character used to show that a scope was read from the global\n\
+# attributes file and the current group matches (default ':')\n\
+# _ is turned into ' '\n")
+};
+
+struct opttxt txt_scope_marked_local = {
+	N_("Enter character to indicate local scopes. <CR> sets, <ESC> cancels."),
+	N_("Character to show local scopes"),
+	N_("# Character used to show that a scope was read from the local\n\
+# attributes file (default ' ')\n\
+# _ is turned into ' '\n")
+};
+
+struct opttxt txt_scope_marked_local_match = {
+	N_("Enter character to indicate local scopes when current group matches. <CR> sets, <ESC> cancels."),
+	N_("Char to show local scope matches"),
+	N_("# Character used to show that a scope was read from the local\n\
+# attributes file and the current group matches (default '*')\n\
+# _ is turned into ' '\n")
+};
+
 struct opttxt txt_scroll_lines = {
 	N_("0 = full page scrolling, -1 = show previous last line as first on next page, -2 = half page"),
 	N_("Number of lines to scroll in pager"),
@@ -2333,16 +2504,18 @@ struct opttxt txt_suppress_soft_hyphens
 };
 #endif /* MULTIBYTE_ABLE && !NO_LOCALE */
 
-struct opttxt txt_hide_uue = {
-	N_("Display uuencoded data as tagged attachments. <SPACE> toggles & <CR> sets."),
-	N_("Display uue data as an attachment"),
-	N_("# Handling of uuencoded data in the pager\n\
-# Possible values are (the default is marked with *):\n\
-# * 0 = No, display raw uuencoded data\n\
-#   1 = Yes, uuencoded data will be condensed to a single tag line showing\n\
+struct opttxt txt_hide_inline_data = {
+	N_("Display none mime data as tagged attachments. <SPACE> toggles & <CR> sets."),
+	N_("Display none mime data as an attachment"),
+	N_("# Handling of none text in the pager\n\
+# Possible values are any combination of (the default is marked with *):\n\
+# * 0 = No, display raw data\n\
+#   1 = uuencoded and yenc data will be condensed to a single tag line showing\n\
 #       size and filename, similar to how MIME attachments are displayed\n\
-#   2 = Hide all, as for 1, but any line that looks like uuencoded data will\n\
-#       be folded into a tag line.\n")
+#   2 = Also hide partial, as for 1, but any line that looks like uuencoded\n\
+#       or yenc data will be folded into a tag line.\n\
+#   4 = Hide Inline PGP\n\
+#   8 = Hide Shar\n")
 };
 
 struct opttxt txt_tex2iso_conv = {
@@ -2381,9 +2554,14 @@ struct opttxt txt_alternative_handling =
 };
 
 struct opttxt txt_verbatim_handling = {
-	N_("Enable detection of verbatim blocks? <SPACE> toggles & <CR> sets."),
-	N_("Detection of verbatim blocks"),
-	N_("# If ON detect verbatim blocks in articles\n")
+	N_("<SPACE> toggles & <CR> sets."),
+	N_("How to treat verbatim blocks"),
+	N_("# How to treat verbatim blocks in articles\n\
+# Possible values are (the default is marked with *):\n\
+#   0 = Don't detect verbatim blocks\n\
+# * 1 = Detect and show verbatim blocks including begin and end marks\n\
+#   2 = Detect and show verbatim blocks, hide begin and end marks\n\
+#   3 = Detect verbatim blocks and hide them completely\n")
 };
 
 #ifdef HAVE_COLOR
@@ -2426,6 +2604,14 @@ struct opttxt txt_extquote_regex = {
 };
 #endif /* HAVE_COLOR */
 
+struct opttxt txt_hideline_regex = {
+	N_("A regex used to decide which lines to hide in pager"),
+	N_("Regex used to hide matching lines"),
+	N_("# A regular expression that to hide matching lines.\n\
+# Could be used to hide excessive quoting, e.g. via \"^>\\s?>\\s?>\".\n\
+# If you leave this blank, no lines will be hidden.\n")
+};
+
 struct opttxt txt_slashes_regex = {
 	N_("A regex used to decide which words to show in col_markslashes."),
 	N_("Regex used to highlight /slashes/"),
@@ -2624,189 +2810,189 @@ struct opttxt txt_use_color = {
 };
 
 struct opttxt txt_col_normal = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Standard foreground color"),
 	N_("# Standard foreground color\n\
 # Default: -1 (default color)\n")
 };
 
 struct opttxt txt_col_back = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Standard background color"),
 	N_("# Standard background color\n\
 # Default: -1 (default color)\n")
 };
 
 struct opttxt txt_col_invers_bg = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color for inverse text (background)"),
 	N_("# Color of background for inverse text\n\
 # Default: 4 (blue)\n")
 };
 
 struct opttxt txt_col_invers_fg = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color for inverse text (foreground)"),
 	N_("# Color of foreground for inverse text\n\
 # Default: 7 (white)\n")
 };
 
 struct opttxt txt_col_text = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of text lines"),
 	N_("# Color of text lines\n\
 # Default: -1 (default color)\n")
 };
 
 struct opttxt txt_col_minihelp = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of mini help menu"),
 	N_("# Color of mini help menu\n\
 # Default: 3 (brown)\n")
 };
 
 struct opttxt txt_col_help = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of help text"),
 	N_("# Color of help pages\n\
 # Default: -1 (default color)\n")
 };
 
 struct opttxt txt_col_message = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of status messages"),
 	N_("# Color of messages in last line\n\
 # Default: 6 (cyan)\n")
 };
 
 struct opttxt txt_col_quote = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of quoted lines"),
 	N_("# Color of quote-lines\n\
 # Default: 2 (green)\n")
 };
 
 struct opttxt txt_col_quote2 = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of twice quoted line"),
 	N_("# Color of twice quoted lines\n\
 # Default: 3 (brown)\n")
 };
 
 struct opttxt txt_col_quote3 = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
-	N_("Color of =>3 times quoted line"),
+	"",
+	N_("Color of >=3 times quoted line"),
 	N_("# Color of >=3 times quoted lines\n\
 # Default: 4 (blue)\n")
 };
 
 struct opttxt txt_col_head = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of article header lines"),
 	N_("# Color of header-lines\n\
 # Default: 2 (green)\n")
 };
 
 struct opttxt txt_col_newsheaders = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of actual news header fields"),
 	N_("# Color of actual news header fields\n\
 # Default: 9 (light red)\n")
 };
 
 struct opttxt txt_col_subject = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of article subject lines"),
 	N_("# Color of article subject\n\
 # Default: 6 (cyan)\n")
 };
 
 struct opttxt txt_col_extquote = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of external quotes"),
 	N_("# Color of quoted text from external sources\n\
 # Default: 5 (pink)\n")
 };
 
 struct opttxt txt_col_response = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of response counter"),
 	N_("# Color of response counter\n\
 # Default: 2 (green)\n")
 };
 
 struct opttxt txt_col_from = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of sender (From:)"),
 	N_("# Color of sender (From:)\n\
 # Default: 2 (green)\n")
 };
 
 struct opttxt txt_col_title = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of help/mail sign"),
 	N_("# Color of Help/Mail-Sign\n\
 # Default: 4 (blue)\n")
 };
 
 struct opttxt txt_col_signature = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of signatures"),
 	N_("# Color of signature\n\
 # Default: 4 (blue)\n")
 };
 
 struct opttxt txt_col_score_neg = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of negative score"),
 	N_("# Color of negative score\n\
 # Default: 1 (red)\n")
 };
 
 struct opttxt txt_col_score_pos = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of positive score"),
 	N_("# Color of positive score\n\
 # Default: 2 (green)\n")
 };
 
 struct opttxt txt_col_urls = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of highlighted URLs"),
 	N_("# Color of highlighted URLs\n\
 # Default: -1 (default color)\n")
 };
 
 struct opttxt txt_col_verbatim = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of verbatim blocks"),
 	N_("# Color of verbatim blocks\n\
 # Default: 5 (pink)\n")
 };
 
 struct opttxt txt_col_markstar = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of highlighting with *stars*"),
 	N_("# Color of word highlighting with *stars*\n\
 # Default: 11 (yellow)\n")
 };
 
 struct opttxt txt_col_markdash = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of highlighting with _dash_"),
 	N_("# Color of word highlighting with _dash_\n\
 # Default: 13 (light pink)\n")
 };
 
 struct opttxt txt_col_markslash = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of highlighting with /slash/"),
 	N_("# Color of word highlighting with /slash/\n\
 # Default: 14 (light cyan)\n")
 };
 
 struct opttxt txt_col_markstroke = {
-	N_("<SPACE> toggles, <CR> sets, <ESC> cancels."),
+	"",
 	N_("Color of highlighting with -stroke-"),
 	N_("# Color of word highlighting with -stroke-\n\
 # Default: 12 (light blue)\n")
@@ -2969,7 +3155,7 @@ struct opttxt txt_mail_quote_format = {
 
 struct opttxt txt_advertising = {
 	N_("If ON, include User-Agent: header. <SPACE> toggles & <CR> sets."),
-	N_("Insert 'User-Agent:' header"),
+	N_("Insert ''User-Agent:'' header"),
 	N_("# If ON include advertising User-Agent: header\n")
 };
 
@@ -3011,16 +3197,16 @@ struct opttxt txt_post_mime_encoding = {
 	N_("# MIME encoding (8bit, base64, quoted-printable, 7bit) of the body\n\
 # for mails and posts, if necessary. QP is efficient for most European\n\
 # character sets (ISO-8859-X) with small fraction of non-US-ASCII chars,\n\
-# while Base64 is more efficient for most 8bit East Asian, Greek, and\n\
-# Russian charsets with a lot of 8bit characters.\n")
+# while Base64 is more efficient for most 8-bit East Asian, Greek, and\n\
+# Russian charsets with a lot of 8-bit characters.\n")
 };
 
 struct opttxt txt_post_8bit_header = {
 	N_("Don't change unless you know what you are doing. <ESC> cancels."),
-	N_("Use 8bit characters in news headers"),
-	N_("# If ON, 8bit characters in news headers are NOT encoded.\n\
-# default is OFF. Thus 8bit characters are encoded by default.\n\
-# 8bit chars in header are encoded regardless of the value of this\n\
+	N_("Use 8-bit characters in news headers"),
+	N_("# If ON, 8-bit characters in news headers are NOT encoded.\n\
+# default is OFF. Thus 8-bit characters are encoded by default.\n\
+# 8-bit chars in header are encoded regardless of the value of this\n\
 # parameter unless post_mime_encoding is 8bit as well.\n")
 };
 
@@ -3038,12 +3224,12 @@ struct opttxt txt_mail_mime_encoding = {
 
 struct opttxt txt_mail_8bit_header = {
 	N_("Don't change unless you know what you are doing. <ESC> cancels."),
-	N_("Use 8bit characters in mail headers"),
-	N_("# If ON, 8bit characters in mail headers are NOT encoded.\n\
-# default is OFF. Thus 8bit characters are encoded by default.\n\
-# 8bit chars in headers are encoded regardless of the value of this parameter\n\
+	N_("Use 8-bit characters in mail headers"),
+	N_("# If ON, 8-bit characters in mail headers are NOT encoded.\n\
+# default is OFF. Thus 8-bit characters are encoded by default.\n\
+# 8-bit chars in headers are encoded regardless of the value of this parameter\n\
 # unless mail_mime_encoding is 8bit as well. Note that RFC 2822\n\
-# prohibits 8bit characters in mail headers so that you are advised NOT to\n\
+# prohibits 8-bit characters in mail headers so that you are advised NOT to\n\
 # turn it ON unless you have some compelling reason.\n")
 };
 
@@ -3104,6 +3290,13 @@ struct opttxt txt_add_posted_to_filter =
 	N_("# If ON add posted articles which start a new thread to filter for\n# highlighting follow-ups\n")
 };
 
+struct opttxt txt_keep_expired_filters = {
+    N_("Keep expired filter rules in file. <SPACE> toggles, <CR> sets, <ESC> cancels."),
+    N_("Keep expired filter rules in file"),
+    N_("# If ON, expired filter rules are kept in the filter file\n")
+};
+
+
 struct opttxt txt_maildir = {
 	N_("The directory where articles/threads are to be saved in mailbox format."),
 	N_("Mail directory"),
@@ -3265,13 +3458,13 @@ struct opttxt txt_cache_overview_files =
 	N_("# If ON, create local copies of NNTP overview files.\n")
 };
 
-#if defined(USE_ZLIB) && defined(CPP_DOES_CONCAT)
+#ifdef USE_ZLIB
 struct opttxt txt_compress_overview_files = {
 	N_("Compress local copies of NNTP overview files. <SPACE> toggles & <CR> sets."),
 	N_("Compress locally cached NNTP overview files"),
 	N_("# If ON, compress local copies of NNTP overview files.\n")
 };
-#endif /* USE_ZLIB && CPP_DOES_CONCAT */
+#endif /* USE_ZLIB */
 
 struct opttxt txt_select_format = {
 	N_("Enter format string. <CR> sets, <ESC> cancels."),
@@ -3378,6 +3571,38 @@ struct opttxt txt_page_uue_format = {
 #   %z              Like %Z but with description\n")
 };
 
+struct opttxt txt_page_yenc_format = {
+	N_("Enter format string. <CR> sets, <ESC> cancels."),
+	N_("Format string for display of yenc header"),
+	N_("# Format string for yenc header at article level\n\
+# Default: [-- %*N%!d%I [%F%G]%V%W%X --]\n\
+# Possible values are:\n\
+#   %%              '%'\n\
+#   %D              Line count\n\
+#   %d              Like %D but with description\n\
+#   %E              Content encoding\n\
+#   %e              Like %E but with description\n\
+#   %F              Current part\n\
+#   %f              Like %F but with description\n\
+#   %G              Number of all parts\n\
+#   %g              Like %G but with description\n\
+#   %I              Complete/incomplete YENC part indicator\n\
+#   %N              Name\n\
+#   %n              Like %N but with description\n\
+#   %S              Content subtype\n\
+#   %s              Like %S but with description\n\
+#   %T              Content type\n\
+#   %t              Like %T but with description\n\
+#   %V              Part size in bytes\n\
+#   %v              Like %V but with description\n\
+#   %W              Total size in bytes\n\
+#   %w              Like %W but with description\n\
+#   %X              CRC checksum\n\
+#   %x              Like %X but with description\n\
+#   %Z              Size in bytes\n\
+#   %z              Like %Z but with description\n")
+};
+
 struct opttxt txt_thread_format = {
 	N_("Enter format string. <CR> sets, <ESC> cancels."),
 	N_("Format string for thread level"),
@@ -3561,6 +3786,50 @@ struct opttxt txt_quick_kill_expire = {
 	NULL
 };
 
+struct opttxt txt_serverrc_add_cmd_line_opts = {
+	N_("Command line options to add. <CR> sets, <ESC> cancels."),
+	N_("CMD line options to add"),
+	NULL
+};
+
+struct opttxt txt_serverrc_cache_overview_files = {
+	N_("ON = cache NNTP overview files, OFF = don't cache. <CR> sets, <ESC> cancels."),
+	N_("Cache overview files"),
+	NULL
+};
+
+#ifdef USE_ZLIB
+struct opttxt txt_serverrc_compress_overview_files = {
+	N_("ON = compress cached files, OFF = don't compress. <CR> sets, <ESC> cancels."),
+	N_("Compress overview files"),
+	NULL
+};
+#endif /* USE_ZLIB */
+
+struct opttxt txt_serverrc_config_options = {
+	NULL,
+	N_("Config Options"),
+	NULL
+};
+
+struct opttxt txt_serverrc_disabled_nntp_cmds = {
+	N_("A comma separated list of NNTP commands. <CR> sets, <ESC> cancels."),
+	N_("Disabled NNTP commands"),
+	NULL
+};
+
+struct opttxt txt_serverrc_nntp_pipeline_limit = {
+	N_("Number of pipelined NNTP commands to send. <CR> sets, <ESC> cancels."),
+	N_("NNTP pipeline limit"),
+	NULL
+};
+
+struct opttxt txt_serverrc_tinrc_override_options = {
+	NULL,
+	N_("tinrc Override Options"),
+	NULL
+};
+
 #ifdef CHARSET_CONVERSION
 struct opttxt txt_undeclared_charset = {
 	N_("Assume this charset if no charset declaration is present, <CR> to set."),
diff -Nurp '--exclude=.bzr*' tin-2.6.4/src/langinfo.c tin-2.6.5/src/langinfo.c
--- tin-2.6.4/src/langinfo.c	2024-11-25 20:40:37.000000000 +0100
+++ tin-2.6.5/src/langinfo.c	2025-11-13 02:21:32.460174758 +0100
@@ -57,65 +57,82 @@ tin_nl_langinfo(
 {
   char *l, *p;
 
-  if (item != CODESET)
-    return NULL;
+  switch (item) {
+    case RADIXCHAR:
+    /*  case DECIMAL_POINT: */
+      return ".";
+      break;
 
-  if (((l = getenv("LC_ALL"))   && *l) ||
-      ((l = getenv("LC_CTYPE")) && *l) ||
-      ((l = getenv("LANG"))     && *l)) {
-    /* check standardized locales */
-    if (!strcmp(l, "C") || !strcmp(l, "POSIX"))
-      return C_CODESET;
-    /* check for encoding name fragment */
-    if (strstr(l, "UTF") || strstr(l, "utf"))
-      return "UTF-8";
-    if ((p = strstr(l, "8859-"))) {
-      memcpy(buf, "ISO-8859-\0\0", 12);
-      p += 5;
-      if (digit(*p)) {
-        buf[9] = *p++;
-        if (digit(*p))
-          buf[10] = *p++;
-        return buf;
+    case NOEXPR:
+      return "^[-0nN]";
+      break;
+
+    case YESEXPR:
+      return "^[+1yY]";
+      break;
+
+    case CODESET:
+      if (((l = getenv("LC_ALL"))   && *l) ||
+          ((l = getenv("LC_CTYPE")) && *l) ||
+          ((l = getenv("LANG"))     && *l)) {
+        /* check standardized locales */
+        if (!strcmp(l, "C") || !strcmp(l, "POSIX"))
+          return C_CODESET;
+      /* check for encoding name fragment */
+        if (strstr(l, "UTF") || strstr(l, "utf"))
+          return "UTF-8";
+        if ((p = strstr(l, "8859-"))) {
+          memcpy(buf, "ISO-8859-\0\0", 12);
+          p += 5;
+          if (digit(*p)) {
+            buf[9] = *p++;
+            if (digit(*p))
+              buf[10] = *p++;
+            return buf;
+          }
+        }
+        if (strstr(l, "KOI8-R")) return "KOI8-R";
+        if (strstr(l, "KOI8-U")) return "KOI8-U";
+        if (strstr(l, "620")) return "TIS-620";
+        if (strstr(l, "2312")) return "GB2312";
+        if (strstr(l, "HKSCS")) return "Big5HKSCS";   /* no MIME charset */
+        if (strstr(l, "Big5") || strstr(l, "BIG5")) return "Big5";
+        if (strstr(l, "GBK")) return "GBK";           /* no MIME charset */
+        if (strstr(l, "18030")) return "GB18030";     /* no MIME charset */
+        if (strstr(l, "Shift_JIS") || strstr(l, "SJIS")) return "Shift_JIS";
+        /* check for conclusive modifier */
+        if (strstr(l, "euro")) return "ISO-8859-15";
+        /* check for language (and perhaps country) codes */
+        if (strstr(l, "zh_TW")) return "Big5";
+        if (strstr(l, "zh_HK")) return "Big5HKSCS";   /* no MIME charset */
+        if (strstr(l, "zh")) return "GB2312";
+        if (strstr(l, "ja")) return "EUC-JP";
+        if (strstr(l, "ko")) return "EUC-KR";
+        if (strstr(l, "ru")) return "KOI8-R";
+        if (strstr(l, "uk")) return "KOI8-U";
+        if (strstr(l, "pl") || strstr(l, "hr") ||
+          strstr(l, "hu") || strstr(l, "cs") ||
+          strstr(l, "sk") || strstr(l, "sl")) return "ISO-8859-2";
+        if (strstr(l, "eo") || strstr(l, "mt")) return "ISO-8859-3";
+        if (strstr(l, "el")) return "ISO-8859-7";
+        if (strstr(l, "he")) return "ISO-8859-8";
+        if (strstr(l, "tr")) return "ISO-8859-9";
+        if (strstr(l, "th")) return "TIS-620";      /* or ISO-8859-11 */
+        if (strstr(l, "lt")) return "ISO-8859-13";
+        if (strstr(l, "cy")) return "ISO-8859-14";
+        if (strstr(l, "ro")) return "ISO-8859-2";   /* or ISO-8859-16 */
+        if (strstr(l, "am") || strstr(l, "vi")) return "UTF-8";
+        /* Send me further rules if you like, but don't forget that we are
+         * *only* interested in locale naming conventions on platforms
+         * that do not already provide an nl_langinfo(CODESET) implementation. */
+        return "ISO-8859-1"; /* should perhaps be "UTF-8" instead */
       }
+      return C_CODESET;
+      break;
+
+      default:
+      return "";
     }
-    if (strstr(l, "KOI8-R")) return "KOI8-R";
-    if (strstr(l, "KOI8-U")) return "KOI8-U";
-    if (strstr(l, "620")) return "TIS-620";
-    if (strstr(l, "2312")) return "GB2312";
-    if (strstr(l, "HKSCS")) return "Big5HKSCS";   /* no MIME charset */
-    if (strstr(l, "Big5") || strstr(l, "BIG5")) return "Big5";
-    if (strstr(l, "GBK")) return "GBK";           /* no MIME charset */
-    if (strstr(l, "18030")) return "GB18030";     /* no MIME charset */
-    if (strstr(l, "Shift_JIS") || strstr(l, "SJIS")) return "Shift_JIS";
-    /* check for conclusive modifier */
-    if (strstr(l, "euro")) return "ISO-8859-15";
-    /* check for language (and perhaps country) codes */
-    if (strstr(l, "zh_TW")) return "Big5";
-    if (strstr(l, "zh_HK")) return "Big5HKSCS";   /* no MIME charset */
-    if (strstr(l, "zh")) return "GB2312";
-    if (strstr(l, "ja")) return "EUC-JP";
-    if (strstr(l, "ko")) return "EUC-KR";
-    if (strstr(l, "ru")) return "KOI8-R";
-    if (strstr(l, "uk")) return "KOI8-U";
-    if (strstr(l, "pl") || strstr(l, "hr") ||
-	strstr(l, "hu") || strstr(l, "cs") ||
-	strstr(l, "sk") || strstr(l, "sl")) return "ISO-8859-2";
-    if (strstr(l, "eo") || strstr(l, "mt")) return "ISO-8859-3";
-    if (strstr(l, "el")) return "ISO-8859-7";
-    if (strstr(l, "he")) return "ISO-8859-8";
-    if (strstr(l, "tr")) return "ISO-8859-9";
-    if (strstr(l, "th")) return "TIS-620";      /* or ISO-8859-11 */
-    if (strstr(l, "lt")) return "ISO-8859-13";
-    if (strstr(l, "cy")) return "ISO-8859-14";
-    if (strstr(l, "ro")) return "ISO-8859-2";   /* or ISO-8859-16 */
-    if (strstr(l, "am") || strstr(l, "vi")) return "UTF-8";
-    /* Send me further rules if you like, but don't forget that we are
-     * *only* interested in locale naming conventions on platforms
-     * that do not already provide an nl_langinfo(CODESET) implementation. */
-    return "ISO-8859-1"; /* should perhaps be "UTF-8" instead */
-  }
-  return C_CODESET;
 }
 #	else
 const char *
diff -Nurp '--exclude=.bzr*' tin-2.6.4/src/list.c tin-2.6.5/src/list.c
--- tin-2.6.4/src/list.c	2024-11-25 20:40:37.000000000 +0100
+++ tin-2.6.5/src/list.c	2025-11-13 02:21:32.464174933 +0100
@@ -6,7 +6,7 @@
  *  Updated   : 2024-11-25
  *  Notes     : Low level functions handling the active[] list and its group_hash index
  *
- * Copyright (c) 1993-2025 Iain Lea <iain@bricbrac.de>
+ * Copyright (c) 1993-2026 Iain Lea <iain@bricbrac.de>
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -65,14 +65,13 @@ init_group_hash(
 	int i;
 
 #if 0
-	if (num_active == -1) {
+	if (num_active == -1)
 #endif /* 0 */
+	{
 		num_active = 0;
 		for (i = 0; i < TABLE_SIZE; i++)
 			group_hash[i] = -1;
-#if 0
 	}
-#endif /* 0 */
 }
 
 
